## net.i2p.router
Class MessageReceptionInfo

    java.lang.Object
      net.i2p.router.MessageReceptionInfo

    public class MessageReceptionInfo

extends Object

Wrap up the details of how a ClientMessage was received from the network

Constructor Summary
`MessageReceptionInfo()`

Method Summary
`Hash` `getFromPeer()` Hash of the RouterIdentity of the peer that sent the message
`TunnelId` `getFromTunnel()` TunnelId the message came in on, if applicable
`void` `setFromPeer(Hash routerIdentityHash)`
`void` `setFromTunnel(TunnelId fromTunnel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageReceptionInfo

    public MessageReceptionInfo()

Method Detail

### getFromPeer

    public Hash getFromPeer()

  Hash of the RouterIdentity of the peer that sent the message

### setFromPeer

    public void setFromPeer(Hash routerIdentityHash)

### getFromTunnel

    public TunnelId getFromTunnel()

  TunnelId the message came in on, if applicable

### setFromTunnel

    public void setFromTunnel(TunnelId fromTunnel)